package com.yijia.customer.domain;

import java.util.Date;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.yijia.common.annotation.Excel;
import com.yijia.common.core.domain.BaseEntity;

/**
 * 客户优惠等级设置对象 customer_grade_setting
 * 
 * @author yijia
 * @date 2021-01-26
 */
public class CustomerGradeSetting extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 等级 */
    @Excel(name = "等级")
    private String grade;

    /** 优惠方式 */
    @Excel(name = "优惠方式")
    private String discountWay;

    /** 汽油优惠/L */
    @Excel(name = "汽油优惠/L")
    private String gasoilDiscountLitre;

    /** 柴油优惠/L */
    @Excel(name = "柴油优惠/L")
    private String dieseloilDiscountLitre;

    /** 1(固态等级设置,2动态等级-成长值规则,3动态等级-会员规则) */
    @Excel(name = "1(固态等级设置,2动态等级-成长值规则,3动态等级-会员规则)")
    private String gradeType;

    /** 汽油消费 */
    @Excel(name = "汽油消费")
    private String gasoilConsume;

    /** 汽油成长值 */
    @Excel(name = "汽油成长值")
    private String gasoilGrowthValue;

    /** 柴油消费 */
    @Excel(name = "柴油消费")
    private String dieseloilConsume;

    /** 柴油成长值 */
    @Excel(name = "柴油成长值")
    private String dieseloilGrowthValue;

    /** 会员充值 */
    @Excel(name = "会员充值")
    private String memberRecharge;

    /** 会员充值成长积分 */
    @Excel(name = "会员充值成长积分")
    private String memberGrowthValue;

    /** 成长值 */
    @Excel(name = "成长值")
    private String growthValue;

    /** 有效期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "有效期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date date;

    /** 到期扣除成长值 */
    @Excel(name = "到期扣除成长值")
    private String deductionGrowthValue;

    /** 会员条件 */
    @Excel(name = "会员条件")
    private String memberCondit;

    /** 油站id */
    @Excel(name = "油站id")
    private Long stationId;

    /** 油站名称 */
    @Excel(name = "油站名称")
    private String stationName;

    /** 油品名称 */
    @Excel(name = "油品名称")
    private String oilName;

    /** 会员条件开始值 */
    @Excel(name = "会员条件开始值")
    private Long memberConditStart;

    /** 会员条件结束值 */
    @Excel(name = "会员条件结束值")
    private Long memberConditEnd;

    /**
     * 根据用户所属组织，平台，集团，油站查询条件
     */
    private List<String> stationIdList;

    public List<String> getStationIdList() {
        return stationIdList;
    }

    public void setStationIdList(List<String> stationIdList) {
        this.stationIdList = stationIdList;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setGrade(String grade) 
    {
        this.grade = grade;
    }

    public String getGrade() 
    {
        return grade;
    }
    public void setDiscountWay(String discountWay) 
    {
        this.discountWay = discountWay;
    }

    public String getDiscountWay() 
    {
        return discountWay;
    }
    public void setGasoilDiscountLitre(String gasoilDiscountLitre) 
    {
        this.gasoilDiscountLitre = gasoilDiscountLitre;
    }

    public String getGasoilDiscountLitre() 
    {
        return gasoilDiscountLitre;
    }
    public void setDieseloilDiscountLitre(String dieseloilDiscountLitre) 
    {
        this.dieseloilDiscountLitre = dieseloilDiscountLitre;
    }

    public String getDieseloilDiscountLitre() 
    {
        return dieseloilDiscountLitre;
    }
    public void setGradeType(String gradeType) 
    {
        this.gradeType = gradeType;
    }

    public String getGradeType() 
    {
        return gradeType;
    }
    public void setGasoilConsume(String gasoilConsume) 
    {
        this.gasoilConsume = gasoilConsume;
    }

    public String getGasoilConsume() 
    {
        return gasoilConsume;
    }
    public void setGasoilGrowthValue(String gasoilGrowthValue) 
    {
        this.gasoilGrowthValue = gasoilGrowthValue;
    }

    public String getGasoilGrowthValue() 
    {
        return gasoilGrowthValue;
    }
    public void setDieseloilConsume(String dieseloilConsume) 
    {
        this.dieseloilConsume = dieseloilConsume;
    }

    public String getDieseloilConsume() 
    {
        return dieseloilConsume;
    }
    public void setDieseloilGrowthValue(String dieseloilGrowthValue) 
    {
        this.dieseloilGrowthValue = dieseloilGrowthValue;
    }

    public String getDieseloilGrowthValue() 
    {
        return dieseloilGrowthValue;
    }
    public void setMemberRecharge(String memberRecharge) 
    {
        this.memberRecharge = memberRecharge;
    }

    public String getMemberRecharge() 
    {
        return memberRecharge;
    }
    public void setMemberGrowthValue(String memberGrowthValue) 
    {
        this.memberGrowthValue = memberGrowthValue;
    }

    public String getMemberGrowthValue() 
    {
        return memberGrowthValue;
    }
    public void setGrowthValue(String growthValue) 
    {
        this.growthValue = growthValue;
    }

    public String getGrowthValue() 
    {
        return growthValue;
    }
    public void setDate(Date date) 
    {
        this.date = date;
    }

    public Date getDate() 
    {
        return date;
    }
    public void setDeductionGrowthValue(String deductionGrowthValue) 
    {
        this.deductionGrowthValue = deductionGrowthValue;
    }

    public String getDeductionGrowthValue() 
    {
        return deductionGrowthValue;
    }
    public void setMemberCondit(String memberCondit) 
    {
        this.memberCondit = memberCondit;
    }

    public String getMemberCondit() 
    {
        return memberCondit;
    }
    public void setStationId(Long stationId) 
    {
        this.stationId = stationId;
    }

    public Long getStationId() 
    {
        return stationId;
    }
    public void setStationName(String stationName) 
    {
        this.stationName = stationName;
    }

    public String getStationName() 
    {
        return stationName;
    }
    public void setOilName(String oilName) 
    {
        this.oilName = oilName;
    }

    public String getOilName() 
    {
        return oilName;
    }
    public void setMemberConditStart(Long memberConditStart) 
    {
        this.memberConditStart = memberConditStart;
    }

    public Long getMemberConditStart() 
    {
        return memberConditStart;
    }
    public void setMemberConditEnd(Long memberConditEnd) 
    {
        this.memberConditEnd = memberConditEnd;
    }

    public Long getMemberConditEnd() 
    {
        return memberConditEnd;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("grade", getGrade())
            .append("discountWay", getDiscountWay())
            .append("gasoilDiscountLitre", getGasoilDiscountLitre())
            .append("dieseloilDiscountLitre", getDieseloilDiscountLitre())
            .append("gradeType", getGradeType())
            .append("gasoilConsume", getGasoilConsume())
            .append("gasoilGrowthValue", getGasoilGrowthValue())
            .append("dieseloilConsume", getDieseloilConsume())
            .append("dieseloilGrowthValue", getDieseloilGrowthValue())
            .append("memberRecharge", getMemberRecharge())
            .append("memberGrowthValue", getMemberGrowthValue())
            .append("growthValue", getGrowthValue())
            .append("date", getDate())
            .append("deductionGrowthValue", getDeductionGrowthValue())
            .append("memberCondit", getMemberCondit())
            .append("stationId", getStationId())
            .append("stationName", getStationName())
            .append("oilName", getOilName())
            .append("memberConditStart", getMemberConditStart())
            .append("memberConditEnd", getMemberConditEnd())
            .toString();
    }
}
